Bug 247061 - Initscript Review (spamassassin)
Initscript Review (spamassassin)
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: InitscriptStatus 247062
  Show dependency treegraph
Reported: 2007-07-05 09:59 EDT by Harald Hoyer
Modified: 2008-12-15 19:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-15 19:38:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2007-07-05 09:59:24 EDT
Please have a look at the wikipage 
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Paul Howarth 2007-08-03 08:24:41 EDT
What is the facility name for spamd going to be in the LSB-compliant initscript?

spamd, spamassassin, something else?

I need to know so that I can add that facility name as a
Required-Start/Required-Stop for spamass-milter (Big #247062).
Comment 2 Bug Zapper 2008-04-04 09:16:20 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Paul Howarth 2008-04-04 09:39:54 EDT
LSB-ization of initscripts is targeted at future releases rather than
current/previous releases.
Comment 4 Kevin Fenzi 2008-12-15 19:38:18 EST
According to the guidelines: 
"LSB Headers are not required for Fedora SysV-style initscripts, but they may be used."

I think this needs to be pushed upstream, not here. 

I'm going to go ahead and close this bug now. 
Feel free to reopen if you think otherwise.

Note You need to log in before you can comment on or make changes to this bug.